org.keycloak.dom.saml.v2.metadata

## Class EntityDescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.EntityDescriptorType

-     public class EntityDescriptorType
      extends TypeWithOtherAttributes

  Java class for EntityDescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EntityDescriptorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Extensions" minOccurs="0"/>
               <choice>
                 <choice maxOccurs="unbounded">
                   <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}RoleDescriptor"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}IDPSSODescriptor"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}SPSSODescriptor"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AuthnAuthorityDescriptor"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AttributeAuthorityDescriptor"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}PDPDescriptor"/>
                 </choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AffiliationDescriptor"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Organization" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}ContactPerson" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AdditionalMetadataLocation" maxOccurs="unbounded"
       minOccurs="0"/>
             </sequence>
             <attribute name="entityID" use="required" type="{urn:oasis:names:tc:SAML:2.0:metadata}entityIDType" />
             <attribute name="validUntil" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="cacheDuration" type="{http://www.w3.org/2001/XMLSchema}duration" />
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityDescriptorType.EDTChoiceType`
    `static class` | `EntityDescriptorType.EDTDescriptorChoiceType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<AdditionalMetadataLocationType>` | `additionalMetadataLocation`
    `protected Duration` | `cacheDuration`
    `protected List<EntityDescriptorType.EDTChoiceType>` | `choiceType`
    `protected List<ContactType>` | `contactPerson`
    `protected String` | `entityID`
    `protected ExtensionsType` | `extensions`
    `protected String` | `id`
    `protected OrganizationType` | `organization`
    `protected Element` | `signature`
    `protected XMLGregorianCalendar` | `validUntil`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityDescriptorType(String entityID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdditionalMetadataLocationType(AdditionalMetadataLocationType amld)` Add a `AdditionalMetadataLocationType`
    `void` | `addChoiceType(EntityDescriptorType.EDTChoiceType choiceType)` Add a choice type
    `void` | `addContactPerson(ContactType ct)` Add a `ContactType` contact person
    `List<AdditionalMetadataLocationType>` | `getAdditionalMetadataLocation()` Gets the value of the additionalMetadataLocation property.
    `Duration` | `getCacheDuration()` Gets the value of the cacheDuration property.
    `List<EntityDescriptorType.EDTChoiceType>` | `getChoiceType()` Get a read only list of choice types
    `List<ContactType>` | `getContactPerson()` Gets the value of the contactPerson property.
    `String` | `getEntityID()` Gets the value of the entityID property.
    `ExtensionsType` | `getExtensions()` Gets the value of the extensions property.
    `String` | `getID()` Gets the value of the id property.
    `OrganizationType` | `getOrganization()` Gets the value of the organization property.
    `Element` | `getSignature()` Gets the value of the signature property.
    `XMLGregorianCalendar` | `getValidUntil()` Gets the value of the validUntil property.
    `void` | `removeAdditionalMetadataLocationType(AdditionalMetadataLocationType amld)` Remove a `AdditionalMetadataLocationType`
    `void` | `removeChoiceType(EntityDescriptorType.EDTChoiceType choiceType)` Remove a choice type
    `void` | `removeContactPerson(ContactType ct)`
    `void` | `setCacheDuration(Duration value)` Sets the value of the cacheDuration property.
    `void` | `setExtensions(ExtensionsType value)` Sets the value of the extensions property.
    `void` | `setID(String value)` Sets the value of the id property.
    `void` | `setOrganization(OrganizationType value)` Sets the value of the organization property.
    `void` | `setSignature(Element value)` Sets the value of the signature property.
    `void` | `setValidUntil(XMLGregorianCalendar value)` Sets the value of the validUntil property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signature

          protected Element signature

    - #### extensions

          protected ExtensionsType extensions

    - #### choiceType

          protected List<EntityDescriptorType.EDTChoiceType> choiceType

    - #### organization

          protected OrganizationType organization

    - #### contactPerson

          protected List<ContactType> contactPerson

    - #### additionalMetadataLocation

          protected List<AdditionalMetadataLocationType> additionalMetadataLocation

    - #### entityID

          protected String entityID

    - #### validUntil

          protected XMLGregorianCalendar validUntil

    - #### cacheDuration

          protected Duration cacheDuration

    - #### id

          protected String id

  - ### Constructor Detail

    - #### EntityDescriptorType

          public EntityDescriptorType(String entityID)

  - ### Method Detail

    - #### getSignature

          public Element getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `Element`

    - #### setSignature

          public void setSignature(Element value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Element`

    - #### getExtensions

          public ExtensionsType getExtensions()

      Gets the value of the extensions property.
      Returns:
        possible object is `ExtensionsType`

    - #### setExtensions

          public void setExtensions(ExtensionsType value)

      Sets the value of the extensions property.
      Parameters:
        `value` - allowed object is `ExtensionsType`

    - #### getChoiceType

          public List<EntityDescriptorType.EDTChoiceType> getChoiceType()

      Get a read only list of choice types
      Returns:

    - #### addChoiceType

          public void addChoiceType(EntityDescriptorType.EDTChoiceType choiceType)

      Add a choice type
      Parameters:
        `choiceType` -

    - #### removeChoiceType

          public void removeChoiceType(EntityDescriptorType.EDTChoiceType choiceType)

      Remove a choice type
      Parameters:
        `choiceType` -

    - #### getOrganization

          public OrganizationType getOrganization()

      Gets the value of the organization property.
      Returns:
        possible object is `OrganizationType`

    - #### setOrganization

          public void setOrganization(OrganizationType value)

      Sets the value of the organization property.
      Parameters:
        `value` - allowed object is `OrganizationType`

    - #### addContactPerson

          public void addContactPerson(ContactType ct)

      Add a `ContactType` contact person
      Parameters:
        `ct` -

    - #### removeContactPerson

          public void removeContactPerson(ContactType ct)

    - #### getContactPerson

          public List<ContactType> getContactPerson()

      Gets the value of the contactPerson property.

      Objects of the following type(s) are allowed in the list `ContactType`

    - #### addAdditionalMetadataLocationType

          public void addAdditionalMetadataLocationType(AdditionalMetadataLocationType amld)

      Add a `AdditionalMetadataLocationType`
      Parameters:
        `amld` -

    - #### removeAdditionalMetadataLocationType

          public void removeAdditionalMetadataLocationType(AdditionalMetadataLocationType amld)

      Remove a `AdditionalMetadataLocationType`
      Parameters:
        `amld` -

    - #### getAdditionalMetadataLocation

          public List<AdditionalMetadataLocationType> getAdditionalMetadataLocation()

      Gets the value of the additionalMetadataLocation property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalMetadataLocation property.

      For example, to add a new item, do as follows:

           getAdditionalMetadataLocation().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalMetadataLocationType`

    - #### getEntityID

          public String getEntityID()

      Gets the value of the entityID property.
      Returns:
        possible object is `String`

    - #### getValidUntil

          public XMLGregorianCalendar getValidUntil()

      Gets the value of the validUntil property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setValidUntil

          public void setValidUntil(XMLGregorianCalendar value)

      Sets the value of the validUntil property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getCacheDuration

          public Duration getCacheDuration()

      Gets the value of the cacheDuration property.
      Returns:
        possible object is `Duration`

    - #### setCacheDuration

          public void setCacheDuration(Duration value)

      Sets the value of the cacheDuration property.
      Parameters:
        `value` - allowed object is `Duration`

    - #### getID

          public String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.